iFuntastic 4.7,1 with iTunes 7.5 (and iPhone 1.1.2) Support

Discussion in 'iOS Blog Discussion' started by MacRumors, Nov 22, 2007.

  1. macrumors bot

    MacRumors

    #1
    [​IMG]

    The latest version of iFuntastic 4.7.1 has been released. The iPhone customization/jailbreaking software is now shareware for many of the advanced features. Release notes:

    - support for iTunes 7.5
    - fixed text display for Leopard
    - improved email procedure
    - fixed alignment bug for Home Screen backgrounds (thank you Szymon)
    - a 'Small Icons' choice for the (advanced) Home Screen
    - fixed 'vanishing iPod icon' bug
    - a 'News' page for up-to-date info about updates bugs and more
    - a 'Make Executable' function in the File Manager item popup menu (thank you Avi and Alberto)
    additional tweaks and simplifications based on your valuable feedback - keep it coming!

    The latest version of iFuntastic allows users to jailbreak their 1.0.2, 1.1.1, and 1.1.2 iPhones, and also provide other customization options. There are directions on how to Jailbreak a 1.1.2 iPhone, but some may find this solution more convenient.

    Article Link
     
  2. macrumors regular

    kbrain2929

    #2
    Wow! I'm thinking of hacking my iPhone now. Hmmmm..... :) :apple:
     
  3. macrumors 6502a

    IDANNY

    #3
    looks good where can I get version 1.0.1 to unshackle my phone : )
     
  4. macrumors newbie

    #4
    Can i buy an iPhone at Fifth Avenue today?

    Or is there still a problem with the current bootloader version? I heard that the firmware is not the problem, but that Apple did something to the boatloader that prevents all hacks from working.

    Dies anybody has news about this?
     
  5. macrumors 6502a

    #5
    If you goto this site and scroll down you'll see all the versions listed from apple

    http://iphone.unlock.no/
     
  6. macrumors newbie

    #6
    Work with ipod touch

    Will this work with the ipod touch as well??
     
  7. macrumors 6502

    #7
    has anyone received "decompression failed" messages when you try to download the ifuntastic zip file? I tried it on Safari on my mac.
     
  8. macrumors 6502

    #8
    Does this allow us to intall 3rd party apps on our 1.1.2 phones [without having to downgrade to 1.1.1 and such]????
     
  9. macrumors 6502a

    #9
    yeah before i upgrade to 1.1.2, i want to know for sure that this works for that firmware.
     
  10. macrumors member

    #10
    If you have a 1.1.1 firmware or lower then unlock is no problem.

    If you have a 1.1.2 phone out of the box, you can not SIM unlock at the moment.

    Jailbreaking 1.1.2 (this means intall native apps etc) is no problem with out of the box 1.1.2 or updated iphones.
     
  11. macrumors newbie

    #11
    Have you tried, or just going off the specs? I'm looking to get and iphone in a few days and wanna install 3rd party apps on a 1.1.2 out of the box on AT&T.
     
  12. macrumors member

    #12
    I'm waiting for my 1.1.2 phone to arrive. But I'm 100% sure you can Jailbreak it.

    See hacking status:http://docs.google.com/View?docid=dgzw9xs_0gfhxns
     
  13. macrumors newbie

    #13
    Wirelessly posted (Mozilla/5.0 (iPhone; U; CPU like Mac OS X; en) AppleWebKit/420.1 (KHTML, like Gecko) Version/3.0 Mobile/3A109a Safari/419.3)

    if anyone has jailbroken their 1.1.2 iPhone please let us know. I'd like to upgrade mine but want to be sure I won't loose my third party apps. Also how much does the new firmware cost?
     
  14. macrumors newbie

    #14
    Sweet!!!Thanks for the link, I didn't know of that site.. Anyway, looks good for us, I'm gonna pull the trigger on Tuesday, after I see if any 8GB iphones show up on the refurb site, if not I'll buy new. I'm guessing your staying with AT&T?
     
  15. macrumors 6502a

    #15
    i just updated to 1.1.2 and that iFuntastic says. Your MobileDevice version (2.0.0) is NOT supported !

    anyone know what that means?
     
  16. macrumors newbie

    #16
    iFuntastic 4.7.1 didn't work for me. I'm running OS X 10.5, iTunes 7.5, and I had 1.1.2 (updated by accident, long story) installed on my iPhone. I downgraded to 1.1.1 with iFuntastic no problem, but OktoPrep just would not install with InstallerApp. I tried it probably half a dozen times, but it kept crashing and returning to the home screen. So, without OktoPrep, it seems that iFuntastic is worthless regarding a 1.1.2 jailbrake. Bummer too because I've used iFuntastic since its release and it's always worked for me. So, I figured I'd throw them a few bucks this time, and of course this time the program doesn't work. I was able to downgrade all the way back to jailbroken 1.0.2 however. I'd rather run that until a dependable jailbrake turns up for 1.1.2.

    Come on hackers, I want all my third party apps back!!

    BTW, I've also tried Conceited's jailbrake utility without success. My problem there is that AppSnap won't install from the jailbreakme.com website. I also tried a combination of iFuntastic and Conceited techniques and none were successful.

    I probably won't update my iPhone again after I get it back to jailbroken 1.1.2 unless something is released making it really worthwhile, like maybe horizontal texting.
     
  17. macrumors regular

    #17
    I got this too, very strange. :confused:
     
  18. macrumors member

    #18
    have you guys thanked the "hackers". some of us take them for granted....


    from now on.. macrumors members new saying should be.. in iphone hackers we trust... ;)
     
  19. macrumors regular

    #19
    I have jailbroken my 1.1.2 OOB iPhone (US) loosely following this guide: http://hackint0sh.org/forum/showthread.php?t=15849

    There were issues with oktoprep but this seems to have been resolved.
     
  20. macrumors regular

    Plumbstone

    #20
    Hacked UK 1.1.2 iphone last night with iFuntastic. Works pretty much perfectly. You do need to pay $5 to get the 1.1.2 support from it but it is definitely worth it.

    Whole process took about 30 mins as I needed to download all updates etc but would have been a lot quick had I had them already.
     
  21. macrumors newbie

    #21
    Does that mean the current US iPhones are hackable?

    I am leaving New York in 5 hours and i need to know if I can buy an iPhone or not :)

    My current info tells me, that the current bootloader is not hackable.
     

Share This Page